import { render } from '@testing-library/svelte';
import { describe, it, expect } from 'vitest';
import Page from './+page.svelte';

describe('Main Page', () => {
    it('renders the page without HTTP error codes', () => {
        const { container } = render(Page);
        // Check that common HTTP error codes are not present in the rendered output
        const html = container.innerHTML;
        expect(html).not.toMatch(/404|500|403|401|bad request|not found|internal server error/i);
    });
});